# ApplicationFramework
TKLCAF
TDF

# TDF_DoubleMapIteratorOfAttributeDoubleMap Class Reference

`#include <TDF_DoubleMapIteratorOfAttributeDoubleMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_DoubleMapIteratorOfAttributeDoubleMap ()
Standard_EXPORT | TDF_DoubleMapIteratorOfAttributeDoubleMap (const TDF_AttributeDoubleMap &aMap)
Standard_EXPORT void | Initialize (const TDF_AttributeDoubleMap &aMap)
Standard_EXPORT const Handle_TDF_Attribute & | Key1 () const
Standard_EXPORT const Handle_TDF_Attribute & | Key2 () const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DoubleMapIteratorOfAttributeDoubleMap::TDF_DoubleMapIteratorOfAttributeDoubleMap | ( |  | ) |

Standard_EXPORT TDF_DoubleMapIteratorOfAttributeDoubleMap::TDF_DoubleMapIteratorOfAttributeDoubleMap | ( | const TDF_AttributeDoubleMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDF_DoubleMapIteratorOfAttributeDoubleMap::Initialize | ( | const TDF_AttributeDoubleMap & | aMap | ) |

Standard_EXPORT const Handle_TDF_Attribute& TDF_DoubleMapIteratorOfAttributeDoubleMap::Key1 | ( |  | ) | const

Standard_EXPORT const Handle_TDF_Attribute& TDF_DoubleMapIteratorOfAttributeDoubleMap::Key2 | ( |  | ) | const

void TDF_DoubleMapIteratorOfAttributeDoubleMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_DoubleMapIteratorOfAttributeDoubleMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_DoubleMapIteratorOfAttributeDoubleMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TDF_DoubleMapIteratorOfAttributeDoubleMap.hxx